Order Notification

The Order Notification endpoint is used to notify gOnline that a new order has been placed on the platform. Upon successful receipt of this notification, gOnline will respond with an HTTP 200 status code and response body with external system order Id and Grubtech order Id, indicating the request has been accepted.

If the order platform does not receive the expected 200 response, implement a retry mechanism using an exponential back-off strategy. This approach starts with a 1-second delay for the first retry, doubling the delay (2 seconds, 4 seconds, etc.) with each subsequent attempt, for a total of 5 retries. If no response is received after 5 attempts, the order should be considered as failed.

As per the order integration guide, after acknowledging receipt of the notification with a 200 response gOnline will call /accept or /reject within 2 minutes. If neither of these calls are received within this timeframe, the order should be regarded as rejected.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

applicationId id provided by GrubTech to identify the integration.

Body Params
string
required
length ≥ 1

Unique identifier for the order, provided by external POS.

string

Unique identifier for the order, provided by GrubTech.

string
required
length ≥ 1

Store id for the order to identify the store.

string
required
length ≥ 1

Displayable friendly five charactor ID, used by stores and couriers to identify the order.

string
enum
required

Type of an order

Allowed:
string

Instructions from an Customer regarding the preparation of this order.

delivery
object

Delivery details of the order. If the requested party is planning to do the delivery on the GrubTech end, delivery information should be non null.

customer
object
required

The details of the person who is placing the order.

items
array of objects
required
items*
payment
object
required

payment information related to an order

string
required

Order status

scheduledOrder
object
string

The time at which the order was placed, represented in ISO 8601 format.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json